﻿@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@using Microsoft.AspNetCore.Mvc.Localization;
@inject IStringLocalizer StringLocalizer;
@inject IHtmlLocalizer HtmlLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.BansModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40">
    <div class="row">
        <div class="col-md-6">
            <h2>Banir usuário</h2>
            @HtmlLocalizer["BanDescriptionAndObservations"]
            <form asp-page-handler="DoBan">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("BanType")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBan.ReasonId">
                            <option value=""></option>
                            @foreach (var reason in Model.BanReasons.Where(x => x.Type == 0))
                            {
                                <option value="@reason.Id">@StringLocalizer.GetString(reason.Name)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Description")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="InputBan.Description" />
                    </div>
                </div>
                @if (!Model.BanReport.IsAccountBanned)
                {
                    <button class="btn btn-danger mt-3" type="submit">@StringLocalizer.GetString("DoBan")</button>
                }
            </form>
        </div>
        <div class="col-md-6">
            <h3>Histórico</h3>
            <table id="tblUserBans" class="table table-striped table-hover" aria-label="None">
                <thead>
                    <tr>
                        <th>@StringLocalizer.GetString("Reason")</th>
                        <th>@StringLocalizer.GetString("StartDate")</th>
                        <th>@StringLocalizer.GetString("EndDate")</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @if (Model.BanReport.Account.Count > 0)
                    {
                        @foreach (var ban in Model.BanReport.Account)
                        {
                            <tr>
                                <td>@ban.Name</td>
                                <td>@ban.From</td>
                                <td>@ban.To</td>
                                <td></td>
                            </tr>
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="4">
                                @StringLocalizer.GetString("NoData")
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>

    <hr />

    <div class="col-12">
        <h2>Banir conta em jogo</h2>
    </div>

    <table id="tblGameUserBans" class="table table-striped table-hover table-responsive mt-5" aria-label="None">
        <thead>
            <tr>
                <th>@StringLocalizer.GetString("UserName")</th>
                <th>@StringLocalizer.GetString("Reason")</th>
                <th>@StringLocalizer.GetString("StartDate")</th>
                <th>@StringLocalizer.GetString("EndDate")</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.BanReport.Game.Count > 0)
            {
                @foreach (var ban in Model.BanReport.Game)
                {
                    <tr>
                        <td>@ban.Name</td>
                        <td>@StringLocalizer[ban.Reason]</td>
                        <td>@ban.From</td>
                        <td>@ban.To</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="4">
                        @StringLocalizer.GetString("NoData")
                    </td>
                </tr>
            }
        </tbody>
    </table>

    <div class="row mt-5">
        <div class="col-md-6">
            <form asp-page-handler="DoBanGameAccount">
                <div class="row">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("GameAccount")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBanGameAccount.UserId">
                            <option value=""></option>
                            @foreach (var account in Model.ConquerAccounts.Where(x => x.Flag == 0))
                            {
                                <option value="@account.Id">@StringLocalizer.GetString(account.Username)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("BanType")</label>
                    <div class="col-sm-8">
                        <select class="form-control" asp-for="InputBanGameAccount.ReasonId">
                            <option value=""></option>
                            @foreach (var reason in Model.BanReasons.Where(x => x.Type == 1))
                            {
                                <option value="@reason.Id">@StringLocalizer.GetString(reason.Name)</option>
                            }
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <label class="control-label col-sm-4">@StringLocalizer.GetString("Description")</label>
                    <div class="col-sm-8">
                        <input class="form-control" asp-for="InputBanGameAccount.Description" />
                    </div>
                </div>
                <button class="btn btn-danger mt-3" type="submit">@StringLocalizer.GetString("DoBan")</button>
            </form>
        </div>
    </div>
</div>